import { h } from '../ema.core.js';

import './chunk-de721f0a.js';
import { m as Css } from './chunk-f41c48db.js';

class Card {
    render() {
        return (h("div", null,
            h("slot", null)));
    }
    static get is() { return "ema-card"; }
    static get style() { return ":root{--ema-color:#343a40;--ema-primary:#007bff;--ema-secondary:#6c757d;--ema-success:#28a745;--ema-info:#17a2b8;--ema-warning:#ffc107;--ema-danger:#dc3545;--ema-light:#f8f9fa;--ema-dark:#343a40;--ema-background:#fff;--ema-background-diap:rgba(29,29,29,0.97);--ema-border-color:#c5c9cd;--ema-border:1px solid #c5c9cd;--ema-border-radius:3px 3px 3px 3px;--ema-box-shadow:1px 1px 10px 1px #ccc;--ema-margin:0.25rem;--ema-margin-sm:0.5rem;--ema-margin-md:1rem;--ema-margin-lg:1.5rem;--ema-margin-xl:2rem;--ema-padding:0.25rem;--ema-padding-sm:0.5rem;--ema-padding-md:1rem;--ema-padding-lg:1.5rem;--ema-padding-xl:2rem;--ema-gray-100:#f8f9fa;--ema-gray-200:#e9ecef;--ema-gray-300:#dee2e6;--ema-gray-400:#ced4da;--ema-gray-500:#adb5bd;--ema-gray-600:#868e96;--ema-gray-700:#495057;--ema-gray-800:#343a40;--ema-gray-900:#212529}ema-card{color:var(--ema-color);display:block;min-height:50px;min-width:230px;-webkit-box-shadow:var(--ema-box-shadow);box-shadow:var(--ema-box-shadow);border-radius:var(--ema-border-radius,3px);background:var(--ema-background,#fff)}"; }
}

class CardContent {
    constructor() {
        this.background = 'none';
        this.color = 'inherit';
        this.padding = '10px 20px';
    }
    componentDidLoad() {
        this.postRender();
    }
    componentDidUpdate() {
        this.postRender();
    }
    postRender() {
        setTimeout(() => {
            Css.setVar('ema-card-content-background', this.background, this.el.querySelector('.ema-card-content'));
            Css.setVar('ema-card-content-color', this.color, this.el.querySelector('.ema-card-content'));
            Css.setVar('ema-card-content-padding', this.padding, this.el.querySelector('.ema-card-content'));
        });
    }
    render() {
        return (h("div", { class: "ema-card-content" },
            h("slot", null)));
    }
    static get is() { return "ema-card-content"; }
    static get properties() { return {
        "background": {
            "type": String,
            "attr": "background"
        },
        "color": {
            "type": String,
            "attr": "color"
        },
        "el": {
            "elementRef": true
        },
        "padding": {
            "type": String,
            "attr": "padding"
        }
    }; }
    static get style() { return ":root{--ema-color:#343a40;--ema-primary:#007bff;--ema-secondary:#6c757d;--ema-success:#28a745;--ema-info:#17a2b8;--ema-warning:#ffc107;--ema-danger:#dc3545;--ema-light:#f8f9fa;--ema-dark:#343a40;--ema-background:#fff;--ema-background-diap:rgba(29,29,29,0.97);--ema-border-color:#c5c9cd;--ema-border:1px solid #c5c9cd;--ema-border-radius:3px 3px 3px 3px;--ema-box-shadow:1px 1px 10px 1px #ccc;--ema-margin:0.25rem;--ema-margin-sm:0.5rem;--ema-margin-md:1rem;--ema-margin-lg:1.5rem;--ema-margin-xl:2rem;--ema-padding:0.25rem;--ema-padding-sm:0.5rem;--ema-padding-md:1rem;--ema-padding-lg:1.5rem;--ema-padding-xl:2rem;--ema-gray-100:#f8f9fa;--ema-gray-200:#e9ecef;--ema-gray-300:#dee2e6;--ema-gray-400:#ced4da;--ema-gray-500:#adb5bd;--ema-gray-600:#868e96;--ema-gray-700:#495057;--ema-gray-800:#343a40;--ema-gray-900:#212529}.ema-card-content{min-height:25px;display:-ms-flexbox;display:flex;-ms-flex-direction:column;flex-direction:column;background:var(--ema-card-content-background,inherit);color:var(--ema-card-content-color,inherit);padding:var(--ema-card-content-padding,inherit)}"; }
}

class CardFooter {
    constructor() {
        this.background = 'none';
        this.color = 'inherit';
        this.padding = '10px 20px';
    }
    componentDidLoad() {
        this.postRender();
    }
    componentDidUpdate() {
        this.postRender();
    }
    postRender() {
        setTimeout(() => {
            Css.setVar('ema-card-footer-background', this.background, this.el.querySelector('.ema-card-footer'));
            Css.setVar('ema-card-footer-color', this.color, this.el.querySelector('.ema-card-footer'));
            Css.setVar('ema-card-footer-padding', this.padding, this.el.querySelector('.ema-card-footer'));
        });
    }
    render() {
        return (h("div", { class: "ema-card-footer" },
            h("slot", null)));
    }
    static get is() { return "ema-card-footer"; }
    static get properties() { return {
        "background": {
            "type": String,
            "attr": "background"
        },
        "color": {
            "type": String,
            "attr": "color"
        },
        "el": {
            "elementRef": true
        },
        "padding": {
            "type": String,
            "attr": "padding"
        }
    }; }
    static get style() { return ":root{--ema-color:#343a40;--ema-primary:#007bff;--ema-secondary:#6c757d;--ema-success:#28a745;--ema-info:#17a2b8;--ema-warning:#ffc107;--ema-danger:#dc3545;--ema-light:#f8f9fa;--ema-dark:#343a40;--ema-background:#fff;--ema-background-diap:rgba(29,29,29,0.97);--ema-border-color:#c5c9cd;--ema-border:1px solid #c5c9cd;--ema-border-radius:3px 3px 3px 3px;--ema-box-shadow:1px 1px 10px 1px #ccc;--ema-margin:0.25rem;--ema-margin-sm:0.5rem;--ema-margin-md:1rem;--ema-margin-lg:1.5rem;--ema-margin-xl:2rem;--ema-padding:0.25rem;--ema-padding-sm:0.5rem;--ema-padding-md:1rem;--ema-padding-lg:1.5rem;--ema-padding-xl:2rem;--ema-gray-100:#f8f9fa;--ema-gray-200:#e9ecef;--ema-gray-300:#dee2e6;--ema-gray-400:#ced4da;--ema-gray-500:#adb5bd;--ema-gray-600:#868e96;--ema-gray-700:#495057;--ema-gray-800:#343a40;--ema-gray-900:#212529}.ema-card-footer{min-height:25px;background:var(--ema-card-footer-background,inherit);color:var(--ema-card-footer-color,inherit);padding:var(--ema-card-footer-padding,inherit)}"; }
}

class CardHeader {
    constructor() {
        this.background = 'none';
        this.color = 'inherit';
        this.padding = '10px 20px';
    }
    componentDidLoad() {
        this.postRender();
    }
    componentDidUpdate() {
        this.postRender();
    }
    postRender() {
        setTimeout(() => {
            Css.setVar('ema-card-header-background', this.background, this.el.querySelector('.ema-card-header'));
            Css.setVar('ema-card-header-color', this.color, this.el.querySelector('.ema-card-header'));
            Css.setVar('ema-card-header-padding', this.padding, this.el.querySelector('.ema-card-header'));
        });
    }
    render() {
        return (h("div", { class: "ema-card-header" },
            h("slot", null)));
    }
    static get is() { return "ema-card-header"; }
    static get properties() { return {
        "background": {
            "type": String,
            "attr": "background"
        },
        "color": {
            "type": String,
            "attr": "color"
        },
        "el": {
            "elementRef": true
        },
        "padding": {
            "type": String,
            "attr": "padding"
        }
    }; }
    static get style() { return ":root{--ema-color:#343a40;--ema-primary:#007bff;--ema-secondary:#6c757d;--ema-success:#28a745;--ema-info:#17a2b8;--ema-warning:#ffc107;--ema-danger:#dc3545;--ema-light:#f8f9fa;--ema-dark:#343a40;--ema-background:#fff;--ema-background-diap:rgba(29,29,29,0.97);--ema-border-color:#c5c9cd;--ema-border:1px solid #c5c9cd;--ema-border-radius:3px 3px 3px 3px;--ema-box-shadow:1px 1px 10px 1px #ccc;--ema-margin:0.25rem;--ema-margin-sm:0.5rem;--ema-margin-md:1rem;--ema-margin-lg:1.5rem;--ema-margin-xl:2rem;--ema-padding:0.25rem;--ema-padding-sm:0.5rem;--ema-padding-md:1rem;--ema-padding-lg:1.5rem;--ema-padding-xl:2rem;--ema-gray-100:#f8f9fa;--ema-gray-200:#e9ecef;--ema-gray-300:#dee2e6;--ema-gray-400:#ced4da;--ema-gray-500:#adb5bd;--ema-gray-600:#868e96;--ema-gray-700:#495057;--ema-gray-800:#343a40;--ema-gray-900:#212529}.ema-card-header{min-height:25px;display:-ms-flexbox;display:flex;-ms-flex-direction:column;flex-direction:column;background:var(--ema-card-header-background,inherit);color:var(--ema-card-header-color,inherit);padding:var(--ema-card-header-padding,inherit)}.ema-card-header-title{margin:5px 0}.ema-card-header-subtitle{margin:5px 0;font-size:80%}"; }
}

export { Card as EmaCard, CardContent as EmaCardContent, CardFooter as EmaCardFooter, CardHeader as EmaCardHeader };
